import request from '@/utils/request'

// 查询质量月报S3010列表
export function listS3010(query) {
  return request({
    url: '/production/s3010/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S3010详细
export function getS3010(id) {
  return request({
    url: '/production/s3010/' + id,
    method: 'get'
  })
}

// 新增质量月报S3010
export function addS3010(data) {
  return request({
    url: '/production/s3010',
    method: 'post',
    data: data
  })
}

// 修改质量月报S3010
export function updateS3010(data) {
  return request({
    url: '/production/s3010',
    method: 'put',
    data: data
  })
}

// 删除质量月报S3010
export function delS3010(id) {
  return request({
    url: '/production/s3010/' + id,
    method: 'delete'
  })
}

// 导出质量月报S3010
export function exportS3010(query) {
  return request({
    url: '/production/s3010/export',
    method: 'get',
    params: query
  })
}